IPMIPING(8)

NAME
ipmiping - send IPMI Get Authentication Capability request to network hosts

SYNOPSIS
ipmiping [OPTION...] destination

DESCRIPTION
ipmiping uses the IPMI Get Channel Authentication Capabilities request datagram to elicit an IPMI Get Channel Authentication Capabilitiesl response from a remote host. The utility can be used to verify if a remote host supports IPMI. The initial starting sequence number will be randomized. ipmiping will return 0 to the environment if it receives atleast 1 response from the remote host. Otherwise, it exists with a value of 1.

OPTIONS
The following options are available

-h  Output help menu.

-V  Output version.

-c count
    Stop after sending count packets.

-i interval
    Wait interval seconds between sending each packet. The default is to wait for one second between each packet.

-I interface address
    Set source address to specified interface address. Argument may be numeric IP address or name of device.

-t timeout
    Time to wait for a response, in seconds. Default is five seconds.

-v  Verbose output.

-s num
    Specify an initial starting sequence number. The default is to use a random initial sequence number.

-d  Turn on debugging.

-r version
    Specify IPMI version. Available options are "1.5" and "2.0". Default is to use "1.5". Note that packets will always be sent with the IPMI 1.5 protocol, but IPMI 1.5 vs IPMI 2.0 relevant fields will be communicated in the Get Channel Authentication Capabilities datagram depending on user choice.

KNOWN ISSUES
It has been observed that some remote BMCs can get "confused" and delay packet responses if duplicate packets (with duplicate sequence numbers) are sent in succession very quickly. There is no known way to cleanly deal with a "confused" BMC other than the wait awhile.

Unlike ping(8), local network devices (e.g. 127.0.0.1) cannot be "pinged".

REPORTING BUGS
Report bugs to <freeipmi-users@gnu.org> or <freeipmi-devel@gnu.org>.

COPYRIGHT
Copyright (C) 2007-2015 Lawrence Livermore National Security, LLC.
Copyright (C) 2003-2007 The Regents of the University of California.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

ORIGIN
Command and manpage based off ping(8).

SEE ALSO
freeipmi(7), ping(8), rmcpping(8)

http://www.gnu.org/software/freeipmi/